Description

I've noticed a strange behaviour when adding a postgis layer into the project:

i connect to my db and i can only select the tables with a geometry field definied by a simple geometry type. If i want to add a table which

have the geometry field definied as a domain (geometry type plus some checks) it is not recognized as an addable data.

Since i'm going to use a rather large postgis dataset heavy domain-dependent and i'd have appreciated to use qgis with that data it's quite

an issue for me. Are you planning to support postgis domain types anytime soon?

thank you very much for your work.

History

#1 - 2008-05-14 04:33 AM - Jürgen Fischer

Could you provide a SQL script to create your table?

#2 - 2008-05-15 02:00 AM - zawardo -

Replying to [comment:1 jef]:

Could you provide a SQL script to create your table?

of course:

CREATE DOMAIN check_prova1

  AS geometry

   CONSTRAINT essere_2d CHECK ((dimension(VALUE) = 0)) CONSTRAINT proiezione CHECK ((srid(VALUE) = 668)) CONSTRAINT essere_punto

CHECK ((geometrytype(VALUE) = 'POINT'::text));

CREATE TABLE test

(

  id integer,

  the_geom check_prova1

)

WITH (OIDS=FALSE);

However i just noticed that manually adding che table into the geometry _columns table, makes it visible into the qgis environment:)

It still would be fine if it was recognized even if not present in the geometry _columns (like other tables with simple geometry type).

Thank you!
#3 - 2008-05-15 12:29 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed

commit:68cdb3ab (SVN r8441) adds support for domain types that directly base on the geometry type.  domains that base on such domains are still

unsupported.

#4 - 2008-05-15 12:34 PM - Jürgen Fischer

Replying to [comment:3 jef]:

commit:68cdb3ab (SVN r8441) adds support for domain types that directly base on the geometry type.  domains that base on such domains are still

unsupported.

s/commit:68cdb3ab (SVN r8441)/commit:22b38021 (SVN r8445)/
